Bug 1285641 - python-smmap FTBFS on aarch64
Summary: python-smmap FTBFS on aarch64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-smmap
Version: 24
Hardware: aarch64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: epel7aarch64 ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2015-11-26 06:50 UTC by Yaakov Selkowitz
Modified: 2016-05-15 02:41 UTC (History)
1 user (show)

Fixed In Version: python-smmap-0.9.0-5.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-15 02:41:31 UTC


Attachments (Terms of Use)

Description Yaakov Selkowitz 2015-11-26 06:50:34 UTC
Attempting to build python-smmap (either the version currently in epel7 or that in rawhide) on RHELSA fails due to:

https://github.com/gitpython-developers/smmap/issues/25

As noted therein, the test in question has been removed upstream:

https://github.com/gitpython-developers/smmap/commit/18e4aea23644ea43657cb2e6846b6aaf78720c27

Comment 1 Yaakov Selkowitz 2015-12-11 03:32:54 UTC
This applies to Fedora as well, so it would seem best to fix it in rawhide and merge that into epel7.

Comment 2 Jan Kurik 2016-02-24 14:02:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 3 Fedora Update System 2016-04-28 03:39:45 UTC
python-smmap-0.9.0-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5060e7e8f1

Comment 4 Fedora Update System 2016-04-28 22:23:11 UTC
python-smmap-0.9.0-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5060e7e8f1

Comment 5 Fedora Update System 2016-05-15 02:41:29 UTC
python-smmap-0.9.0-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.